Welcome Guest. Please Login or Register  


You are here: Index > AMPPS > General Support > Topic : Drupal 7 support



Threaded Mode | Print  

 Drupal 7 support, How can I install Drupal 7 (7 Replies, Read 1938 times)
shadeyoj
Group: Member
Post Group: Newbie
Posts: 8
Status:
Drupal is more used than Drupal 8 by a long shot. Have dropped support for Drupal 7?
IP: --   

Drupal 7 support
Brijesh
Group: Softaculous Team
Post Group: Super Member
Posts: 4073
Status:
Hi,

We do support Drupal 7

You can install an older version of a script using the below guide :
https://www.softaculous.com/docs/Install_Older_Versions_of_Scripts#Choose_the_script_version

The above guide is for Joomla, similarly you can install Drupal 7 as well.

-----------------------
SitePad Website Builder
Follow us on Twitter
IP: --   

Drupal 7 support
shadeyoj
Group: Member
Post Group: Newbie
Posts: 8
Status:
The only option available to me is 8.4.2. After upgrade this has happened before, but eventually i got the options for D7 and D6. Now I only have D8 with two commas.
IP: --   

Drupal 7 support
shadeyoj
Group: Member
Post Group: Newbie
Posts: 8
Status:
Here is a screen shot that Drupal 7 did not load

IP: --   

Drupal 7 support
Brijesh
Group: Softaculous Team
Post Group: Super Member
Posts: 4073
Status:
Hi,

It looks like the Drupal 7 package is not downloaded on your machine.

Can you please execute this command on your machine :

For Windows :

"path\to\Ampps\php\php.exe" -c "path\to\Ampps\apache\php.ini" "path\to\Ampps\ampps\softaculous\enduser\cron.php"

For Mac :
"/Applications/AMPPS/php/bin/php" -c "/Applications/AMPPS/php/etc/php.ini" "/Applications/AMPPS/ampps/softaculous/enduser/cron.php"

-----------------------
SitePad Website Builder
Follow us on Twitter
IP: --   

Drupal 7 support
shadeyoj
Group: Member
Post Group: Newbie
Posts: 8
Status:
The folder structure is much different. I tried with this.

"\path\to\ampps\php-5.6\php.exe" "-c php.ini"  "\path\to\ampps\softaculous\cron.php"

I get this error PHP startup bz2: Unable to initialize module Module compiled with module API=20131226 PHP compiled with module API=20090626 These options need to match.

Similar message when using php 7.1.

I've used ampps since 2.8 and had never had these many issues with the install. Once on 3.2 and they fixed the installer and It has been running smoothly. New win10 machine.

Thanks. But that did not help. And MYSQL hasn't been able to start btw. 
IP: --   

Drupal 7 support
Rishi_P
Group: AMPPS Team
Post Group: Elite Member
Posts: 317
Status:
Quote
"\path\to\ampps\php-5.6\php.exe" "-c php.ini"  "\path\to\ampps\softaculous\cron.php"


On AMPPS 3.2, if you have selected PHP-5.3 in AMPPS panel then run following CRON command

"path\to\Ampps\php\php.exe" -c "path\to\Ampps\apache\php.ini" "path\to\Ampps\ampps\softaculous\enduser\cron.php"


And if you have selected other than PHP-5.3 then run following CRON command:

"path\to\Ampps\php-5.3\php.exe" -c "path\to\Ampps\php-5.3\php.ini" "path\to\Ampps\ampps\softaculous\enduser\cron.php"

Or you can try following method:

Start AMPPS and login to http://localhost/ampps-admin/

Now select software --> General Scripts option --> Search for Drupal and select both check Boxes --> click on update Settings button.

IP: --   

Drupal 7 support
shadeyoj
Group: Member
Post Group: Newbie
Posts: 8
Status:
The last option of the using the admin was like finding a cookie. Thank you so much, that worked
IP: --   

« Previous    Next »

Threaded Mode | Print  



Jump To :


Users viewing this topic
1 guests, 0 users.


All times are GMT. The time now is November 17, 2018, 3:17 pm.

  Powered By AEF 1.0.8 © 2007-2008 Electron Inc.Queries: 11  |  Page Created In:0.451